<?php
/**
 * The template for displaying feed posts - latest news category
 *
 * @package WordPress
 * @subpackage Heberger
 * @since Heberger 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
  <div class="entry-meta">
    <?php heberger_posted_on(); ?>
  </div><!-- .entry-meta -->
  
 <?php if ( '' != get_the_post_thumbnail() ) { ?>
	<figure class="entry-figure">
  	<?php twentyfourteen_post_thumbnail('thumbnail'); ?>
	</figure><!-- .entry-figure -->
 <?php } ?>
	<div class="entry-content">
		
  		<?php 
        if ( is_single() ) :
          the_title( '<h5 class="entry-title">', '</h5>' );
        else :
          the_title( '<h5 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h5>' );
        endif;
      ?>

		<?php
			the_excerpt( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyfourteen' ) );
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfourteen' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );
		?>
  <?php edit_post_link( __( 'Edit', 'twentyfourteen' ), '<span class="edit-link hide">', '</span>' ); ?>
	</div><!-- .entry-content -->
</article><!-- #post-## -->
