<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]--><head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
  <link href="//netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">

	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="main" class="site-main">
<header class="master-header">
	<section class="">
    <div class="top-social">
      <div class="container">
    		<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
    		<?php include (get_stylesheet_directory() . '/inc/theme-options/social-icons.php'); ?>
      </div>
    </div>
    <div class="top-address">
      <div class="container">
        <div class="row">
          <div class="col-md-3 col-sm-3 col-xs-6">
            <address>
            	<p>BUCHAREST</p>
              Bucharest Business Park <br>
              T: +40 31 40 59 761<br>
              E: info@heberger.ro
            </address>
          </div>
          <div class="col-md-3 col-sm-3 col-xs-6">
            <address>
            	<p>CLUJ</p>
              Iugoslaviei 64A <br>
              T: +40 26 44 06 066<br>
              F: +40 26 44 32 425
            </address>
          </div>
          <div class="col-md-3 col-sm-3 col-xs-6">
            <address>
            	<p>SIBIU</p>
              Putnei 6A <br>
              T: +40 31 40 59 761<br>
              F: +40 31 40 59 767
            </address>
          </div>
          <div class="col-md-3 col-sm-3 col-xs-6">
            <address>
            	<p>TIMISOARA</p>
              Take Ionescu 46 B/I <br>
              T: +40 356 100 660<br>
              F: +40 356 268 854
            </address>
          </div>
        </div>
      </div>
    </div>
  </section>
  <section>
    <div class="container">
      <div class="row">
            <?php if ( get_header_image() ) : ?>
          <div class="site-logo col-xs-12 col-sm-3">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
              <img src="<?php header_image(); ?>" width="<?php //echo get_custom_header()->width; ?>" height="<?php //echo get_custom_header()->height; ?>" alt="">
            </a>
          <button data-target=".navbar-collapse" data-toggle="collapse" class="navbar-toggle" type="button">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </button>
          </div>
          <?php endif; ?>

          <div class="header-main">
            <nav role="navigation">
              <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu nav navbar-nav', 'container_class' => 'navbar-collapse collapse', ) ); ?>
            </nav>
            <div class="toggle"><i class="fa fa-angle-up"></i></div>
          </div>
      </div>
    </div>
  </section>
</header>


