<?php
/**
 * Template Name: Home
 *
 * @package WordPress
 * @subpackage Heberger
 * @since Heberger 1.0
 */

 ?>


<?php get_header(); ?>

	<?php include (get_template_directory() . '/inc/carousel.php'); ?>
  <section class="wrap">
    <div class="arrow-down"></div>
    <div class="container">
      <?php //get the tagline
        $description = get_bloginfo( 'description', 'display' );
        $newdescription = wordwrap($description, 2, " <span>•</span>\n");
          if ( ! empty ( $description ) ) :
      ?>
      <div class="tagline">
        <h2 class="site-description"><?php echo $newdescription; ?></h2>
       </div>
      <?php endif; ?>
      
    <?php  //Include homepage widgets
      $home_widgets = get_field('latest_news');
        if ($home_widgets) {
    ?>
    <!--Latest news-->
      <div class="row">
        <?php if(get_field('about')){
          get_sidebar('homepage');
        }
        ?>
        <?php if(get_field('latest_news')){ ?>
        <div class="col-xs-12 col-sm-12 <?php if(get_field('about')){ ?>col-md-8<?php }else{ ?>col-md-12<?php } ?>">
          <div class="latest-news-feed">
            <h2>Latest News <a class="view-all" href="" title="View all">View all</a></h2>
            <?php include (get_stylesheet_directory() . '/inc/home-widgets/latest-news-widget.php'); ?>
          </div>
        </div>
        <?php } ?>
      </div>
      <!--Featured-->
      <?php if(get_field('featured_projects')){ ?>
      <div class="row">
        <div class="col-xs-12">
          <div class="box gray featured-projects">
            <h2>Featured <strong>projects</strong> <a title="View all" href="" class="view-all">View all</a></h2>
            <ul class="bxslider">
              <?php include (get_stylesheet_directory() . '/inc/home-widgets/featured-projects-widget.php'); ?>
            </ul> 
          </div> 
        </div>
      </div>  
      <?php } ?>
      <!--Services-->
      <?php if(get_field('services')){ ?>
      <div class="row">
        <div class="col-md-12">
          <h1 class="section-title">Our <strong>Services</strong></h1>
        </div>
        <?php include (get_stylesheet_directory() . '/inc/home-widgets/services-widget.php'); ?> 
      </div>  
      <?php } ?>
      <!--Key Figures-->
      <?php if(get_field('key_figures')){ ?>
      <div class="row">
       <div class="col-md-12">
        <?php include (get_stylesheet_directory() . '/inc/home-widgets/key-figures-widget.php'); ?> 
       </div> 
      </div>  
      <?php } ?>
      <!--Testimonials-->
      <?php if(get_field('testimonials')){ ?>
      <div class="row">
        <div class="col-md-8 col-sm-6">
          <div class="testimonials box">
            <h2>What <strong>our clients</strong> say</h2>
            <div class="hexagon"><span>❞</span></div>	
            <ul class="homepage-testimonials">     
              <?php include (get_stylesheet_directory() . '/inc/home-widgets/testimonials-widget.php'); ?> 
            </ul>
          </div>
        </div>
        <div class="col-md-4 col-sm-6">
          <div class="box gray certifications">
            <h2>Certifications</h2>
            <p>The Bucharest Business Park was distinguished with the CEE Quality Award in 2005 as the best real estate development in Eastern Europe.</p>
            <div class="col-md-4 col-xs-4">
              <img src="/wp-content/themes/Heberger/images/tuv.png" />
              <span>ISO 9001/ 14001</span>
             </div> 
            <div class="col-md-4 col-xs-4">
              <img src="/wp-content/themes/Heberger/images/rgbc.png" />
              <span>ISO 9001/ 14001</span>
             </div>
             <div class="col-md-4 col-xs-4">
              <img src="/wp-content/themes/Heberger/images/tuv.png" />
              <span>ISO 9001/ 14001</span>
             </div>
          </div>
        </div>
      </div>  
      <?php } ?>
      
    <?php }else{ ?> 
    
       <?php //Fallback to default if no widget is selected
            // Start the Loop.
            while ( have_posts() ) : the_post();
    
              // Include the page content template.
              get_template_part( 'content', 'page' );
    
              // If comments are open or we have at least one comment, load up the comment template.
              if ( comments_open() || get_comments_number() ) {
                comments_template();
              }
            endwhile;
          ?>
          
    <?php } ?>
    
    </div><!-- .container -->
  </section><!-- .wrap -->
  <?php get_footer(); ?>
</div><!-- #main -->